Subject: Re: enable sorting by version in `ls-lisp-handle-switches'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Feb 2016 16:19:15 +1030

Toru TSUNEYOSHI <[email-masked]> writes:

> [ resent from
>   http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg00206.html ]
>
> Hello.
>
> I made a function sorting by version in `ls-lisp-handle-switches', by
> setting `dired-listing-switches' to "-alv".
>
> At first, I made `string-version-lessp', by referring to
> `glibc-2.11.1/string/strverscmp.c'.
> But I was not satisfied with the spec.
> So I made another function `string-logical-lessp'.

This has just been implemented on the Emacs trunk (but we haven't
decided when or where to enable it yet).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no